<script setup>
    import { ref } from 'vue'
  
    let isSearchOpen = ref(false)
    const searchList = ref([
        {
            img: '/images/products/headphone-1.jpg',
            name: 'cuffie samsung',
            tech: 'audio e video',
            price: 300,
            badge: 'in saldo'
        },
        {
            img: '/images/products/headphone-2.jpg',
            name: 'cuffie Bose ',
            tech: 'audio e video',
            price: 200,
            badge: 'nuovo'
        },
        {
            img: '/images/products/headphone-4.jpg',
            name: 'cuffie sony',
            tech: 'audio e video',
            price: 100,
            badge: 'in saldo '
        },
        {
            img: '/images/products/headphone-3.jpg',
            name: 'cuffie apple',
            tech: 'audio e video',
            price: 150,
            badge: 'nuovo'
        },
    ])
    
</script>

<template>
    <div class="relative text-gray-600 search-bar mx-3  mt-5 sm:flex hidden">
        <input @click="isSearchOpen = true" class="bg-purple-50 bg-gray-100 h-10 px-5 pr-10 rounded-full text-sm focus:outline-none" type="search" name="search" placeholder="ricerca qui ">
        <button class="absolute right-0 top-0 mt-2 mr-4 focus:outline-none" type="submit">
           
        </button>
    </div>
    <div 
        class="search-ui" 
        :class="{ 'open': isSearchOpen }"
    >
        <div class="container mx-auto">
            <div class="flex justify-between items-center mb-8">
               <img src="https://seeklogo.com/images/B/banana-it-logo-CF4232D5EF-seeklogo.com.png" alt="" srcset="">

                <button class="btn" @click="isSearchOpen = false">
                    <i class="i-Close-Window text-xl text-gray-600"></i>
                </button>


                
            </div>
            <input class="focus:outline-none text-6xl mb-7" type="text" placeholder="Ultimi Articoli " />

            <div>
                <p class="text-gray-500 mb-4">Search Result</p>


                <!-- search list  -->
                <div v-for="(item, index) in searchList" :key="index" class="flex overflow-hidden flex-row mb-6 shadow-md rounded-xl">
                    <div class="flex">
                        <img class="w-24 object-cover" :src="item.img" alt="" />
                    </div>
                    <div class="flex pl-2 flex-1">
                        <div class="flex flex-grow flex-col self-center justify-between lg:items-center lg:flex-row">
                            <a class="hover:text-purple-500" href="">
                                {{item.name}}</a>
                            <p>{{item.tech}}</p>
                            <p class="mr-2 text-gray-500">€{{item.price}}
                                <span class="line-through">€400</span>
                            </p>
                            <div v-if="item.badge == 'vendite'">
                                <span class="rounded text-white bg-red-500 font-bold text-xs leading-4 py-1 px-2 mr-5">{{item.badge}}</span>
                            </div>
                            <div v-else>
                                <span class="rounded text-white bg-purple-500 font-bold text-xs leading-4 py-1 px-2 mr-5">{{item.badge}}</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- This example requires Tailwind CSS v2.0+ -->
            <div class="bg-white px-4 py-3 flex items-center justify-between  sm:px-6">
                <div class="flex-1 flex justify-between sm:hidden">
                    <a href="#" class="relative inline-flex items-center px-4 py-2 border border-gray-300 text-sm font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50">
                    Previous
                    </a>
                    <a href="#" class="ml-3 relative inline-flex items-center px-4 py-2 border border-gray-300 text-sm font-medium rounded-md text-gray-700 bg-white hover:bg-gray-50">
                    Next
                    </a>
                </div>
                <div class="hidden sm:flex-1 sm:flex sm:items-center sm:justify-center">
                    <div>
                        <nav class="relative z-0 inline-flex rounded-md shadow-sm -space-x-px" aria-label="Pagination">
                            <a href="#" class="relative inline-flex items-center px-2 py-2 rounded-l-md border border-gray-300 bg-white text-sm font-medium text-gray-500 hover:bg-gray-50">
                            <span class="sr-only">Previous</span>
                            <!-- Heroicon name: solid/chevron-left -->
                   
                            </a>
                            <!-- Current: "z-10 bg-indigo-50 border-indigo-500 text-indigo-600", Default: "bg-white border-gray-300 text-gray-500 hover:bg-gray-50" -->
                            <a href="#" aria-current="page" class="z-10 bg-purple-500 border-purple-500 text-white relative inline-flex items-center px-4 py-2 border text-sm font-medium">
                            1
                            </a>
                            <a href="#" class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 relative inline-flex items-center px-4 py-2 border text-sm font-medium">
                            2
                            </a>
                            <a href="#" class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 hidden md:inline-flex relative items-center px-4 py-2 border text-sm font-medium">
                            3
                            </a>
                            <span class="relative inline-flex items-center px-4 py-2 border border-gray-300 bg-white text-sm font-medium text-gray-700">
                            ...
                            </span>
                            <a href="#" class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 hidden md:inline-flex relative items-center px-4 py-2 border text-sm font-medium">
                            8
                            </a>
                            <a href="#" class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 relative inline-flex items-center px-4 py-2 border text-sm font-medium">
                            9
                            </a>
                            <a href="#" class="bg-white border-gray-300 text-gray-500 hover:bg-gray-50 relative inline-flex items-center px-4 py-2 border text-sm font-medium">
                            10
                            </a>
                            <a href="#" class="relative inline-flex items-center px-2 py-2 rounded-r-md border border-gray-300 bg-white text-sm font-medium text-gray-500 hover:bg-gray-50">
                            <span class="sr-only">Next</span>
                            <!-- Heroicon name: solid/chevron-right -->
                         
                            </a>
                        </nav>
                    </div>
                </div>
            </div>

        </div>
    </div>
    
    
</template>

<style lang="scss" scoped>
    .search-ui {
            position: fixed;
            top: -200%;
            left: 0;
            right: 0;
            bottom: 0;
            margin: auto;
            padding: 0.75rem 1.5rem 1.5rem 4.5rem;
            z-index: 9999;
            background-color: #fff;
            max-width: 100%;
            height: 100vh;
            opacity: 0;
            transition: all 0.3s ease-in;
            visibility: hidden;
            overflow: auto;
            &.open {
                opacity: 1;
                visibility: visible;
                top: 0;
                transition: all 0.3s ease-in;
            }
    }
</style>